AutoCAD 2013 - 错误:ARXLOAD失败

时间:2013-01-23 10:18:12

标签: autocad objectarx

目前我有autocad 2012并希望升级到autocad 2013。

我的autocad有一个自定义添加。 但是,当我尝试加载时,我得到了这个:

加载COM.VLX。错误:ARXLOAD失败

    Here is a part of my acaddoc.lsp:
    ;; ACADDOC.LSP is loaded into memory before the drawing is completely     
    ;; initialized. S::STARTUP is called when a new drawing or an existing    
    ;; drawing is opened. And is guaranteed to perform any setup operations   
    ;; after a drawing is initialized.                                        

    (defun LoadARXVBA(/ strplatform strExt)
      (if (wcmatch (getvar "platform") "*(x64)*")
        (setq strExt "x64.arx")
        (setq strExt ".arx")
      )  

             ;; load arx modules
             (arxload (strcat "DetectESC" strExt))
             (arxload (strcat "osnap" strExt))
             (arxload (strcat "beditReactor" strExt))
             ;; load vba projects
             (vla-loaddvb (acadobject) (findfile "sinkblock.dvb"))
             (vla-loaddvb (acadobject) (findfile "triggers.dvb"))
             (if (member "plotlog.arx" (arx));if loaded by acad.rx
                 (vla-loaddvb (acadobject) (findfile "PlotLog.dvb"))
             )   
             ;; connect to plotlog server
             (if (member (strcat "plotlog" strExt) (arx))
               (vla-runmacro (acadobject) "StartMonitor")
             )   
             ;; visuallisp projects
             (load "base.vlx")
             (load "startup.vlx")
         (load "TSLOAD"); Load TIMESAVERS' commands:
             (defun EVALCHK (dummy / ) 1)
             ;; run stuff
             (startup)
    )  


(defun-q    main(/)
    ;; load visuallisp & vba projects
    (setvar "screenmenu" 1) 
    (setvar "menubar" 1)    
    (load "com.vlx")
    (if (eq (vla-get-visible (acadobject)) :vlax-true)
      (LoadARXVBA)

    ) ;end if
    (princ)
) ;end main

(setvar "savetime" 8) 



;; append 'main function to any posible existing S::STARTUP function
(setq s::startup (append s::startup main))
;|«Visual LISP© Format Options»
(100 2 1 2 nil "end of " 100 70 0 0 nil T T nil T)
;*** DO NOT add text below the comment! ***|;

任何人都可以帮我吗? 我在某些地方看到arx加载中发生了一些变化......

2 个答案:

答案 0 :(得分:0)

需要使用ObjectARX 2013 SDK重建ARX模块,以便在AutoCAD 2013中使用。

答案 1 :(得分:0)

下载ObjectARX 2013:http://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=785550并使用2013 SDK重建您的解决方案。

以下是AutoCAD 2013和MSVC 2010的ObjectARX向导:http://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=785550

希望它有所帮助。

汤姆,